%define __libtoolize /bin/true
%define name    k9copy
%define version 1.0.4
%define release 2.1.2006mcnl
%define summary K9Copy is a small utility which allows the copy of DVD on Linux
%define	libname	%mklibname %name
%define section System/Archiving/Other

Name:           %name 
Summary:        %summary
Version:        %version 
Release:        %release 
Vendor:         Mandrivaclub.nl
URL:            http://k9copy.sourceforge.net/
License:        GPL
Group:          Archiving/Other
Packager:       Rutger Kroon <ogli@mandrivaclub.nl>

Source0:        %{name}-%{version}-2.tar.bz2

BuildArch: 	x86_64
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
Requires:	%libname dvdauthor vamps
BuildRequires:  lib64dvdread3-devel

%description
K9Copy is a small utility which allows the copy of DVD on Linux.
The DVD video stream is compressed by the program Vamps.

Copy without menus :
In this case, dvdauthor is used to create a new DVD structure. 
It is possible to choose the order in which the video sequences are played. 

Copy with menus :
As dvdauthor does not make it possible to integrate the original menus,
K9Copy reproduces the original structure of the DVD. 
The navigation packs as well as IFO files are modified 
to point on the compressed MPEG stream.

The creation of personalized menus has not been renewed in version 1.0.0.

%package -n	%libname
Group: 		System/Libraries
Summary: 	Libraries for %name
Provides: 	lib%name = %version-%release

%description -n	%libname
The libraries from %name package

%package -n	%libname-devel
Group: 		Development/Other
Summary: 	Libraries for %name
Requires:	%libname = %version-%release
Provides:	lib%name-devel = %version-%release
Provides: 	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel

%description -n	%libname-devel
Development libraries from %name

%prep
rm -rf %{buildroot}
%setup -q -n %{name}-%{version}-2

%build 
export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix
export LD_LIBRARY_PATH=$QTDIR/%{_lib}:$KDEDIR/%{_lib}:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH
export QTLIB=$QTDIR/%{_lib}

%configure --disable-debug \
           --disable-rpath

%make

%install

%makeinstall

#icons
%define  nameicon src/hi48-app-%name.png
mkdir -p -m755 %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 %{nameicon} %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 %{nameicon} %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 %{nameicon} %{buildroot}/%{_miconsdir}/%{name}.png

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%name" \
title="K9copy" \
longtitle="%summary" \
needs="X11" \
section="%section" \
icon="%name.png"
EOF


%post
%update_menus

%postun
%clean_menus

%clean 
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root,0755) 
%doc README COPYING AUTHORS TODO INSTALL NEWS

%{_bindir}/%name

%{_menudir}/%name

%{_datadir}/applnk/Multimedia/%name.desktop
%{_datadir}/apps/%name/k9copyui.rc

%{_iconsdir}/hicolor/*x*/apps/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png
%{_liconsdir}/%name.png
%{_datadir}/locale/*/LC_MESSAGES/%name.mo


%files -n %libname
%defattr(-,root,root)
%doc README COPYING AUTHORS TODO INSTALL NEWS

%_libdir/libk9copy.so.*
%_libdir/libk9copy.la

%files -n %libname-devel
%defattr (-,root,root)
%doc README COPYING AUTHORS TODO INSTALL NEWS

%_includedir/*.h
%_libdir/libk9copy.so


%changelog
* Sun May 14 2006 Rutger Kroon <ogli@mandrivaclub.nl>
- new release


